# coding: utf-8

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

from __future__ import print_function
from __future__ import absolute_import

import sys
import json
import pwd
import traceback

from clcommon.cpapi.plugins.directadmin import userdomains
from clcommon.cpapi.cpapiexceptions import NoPanelUser


try:
    uid = int(sys.argv[1])
    user_name = pwd.getpwuid(uid).pw_name
    res = userdomains(user_name, as_root=True)
    print(json.dumps(res))
    sys.exit(0)
except (NoPanelUser, KeyError):
    print(json.dumps({}))
    sys.exit(11)
except Exception:
    print(json.dumps(traceback.format_exc()))
    sys.exit(10)
